%global _empty_manifest_terminate_build 0
Name:           python-pypowervm
Version:        1.1.24
Release:        2
Summary:        Python binding for the PowerVM REST API
License:        Apache-2.0
URL:            http://github.com/powervm/
Source0:        https://files.pythonhosted.org/packages/16/c1/8e6574bd5e8936fd858bab0b1aa1b825cfc61e0cebf65a248239c7b2c01b/pypowervm-1.1.24.tar.gz
BuildArch:      noarch
%description
pypowervm provides a Python-based API wrapper for interaction with IBM PowerVM-based systems.

%package -n python3-pypowervm
Summary:        Python binding for the PowerVM REST API
Provides:       python-pypowervm
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-lxml
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-pyasn1
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-pytz
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-taskflow
Requires:       python3-lxml
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-context
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-pyasn1
Requires:       python3-pyasn1-modules
Requires:       python3-pytz
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-taskflow
%description -n python3-pypowervm
pypowervm provides a Python-based API wrapper for interaction with IBM PowerVM-based systems.

%package help
Summary:        Python binding for the PowerVM REST API
Provides:       python3-pypowervm-doc
%description help
pypowervm provides a Python-based API wrapper for interaction with IBM PowerVM-based systems.

%prep
%autosetup -n pypowervm-1.1.24

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pypowervm -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 1.1.24-2
- Fix install error

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 1.1.24-1
- Package Spec generate
